using Contracts.BindingModels;
using Contracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StorageContracts
{
	public interface IUserStorage
	{
		UserBindingModel? Insert(UserBindingModel model);

		IEnumerable<UserBindingModel> GetList(UserSearchModel? model);

		UserBindingModel? GetElement(UserSearchModel model);

		UserBindingModel? Update(UserBindingModel model);

		UserBindingModel? Delete(UserSearchModel model);
	}
}